import type { Agent } from '@grafana/agent-core';
import { ExportResult } from '@opentelemetry/core';
import type { ReadableSpan, SpanExporter } from '@opentelemetry/sdk-trace-base';
interface GrafanaAgentTraceExporterConfig {
  agent: Agent;
}
export declare class GrafanaAgentTraceExporter implements SpanExporter {
  private config;
  constructor(config: GrafanaAgentTraceExporterConfig);
  export(spans: ReadableSpan[], resultCallback: (result: ExportResult) => void): void;
  shutdown(): Promise<void>;
}
export {};
